Bug 969692 - openssl fails to build for aarch64
openssl fails to build for aarch64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-01 17:20 EDT by Mark Salter
Modified: 2015-01-12 04:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 04:12:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
config support for aarch64 (1.23 KB, patch)
2013-06-01 17:20 EDT, Mark Salter
no flags Details | Diff

  None (edit)
Description Mark Salter 2013-06-01 17:20:34 EDT
Created attachment 755675 [details]
config support for aarch64

Description of problem:
openssl fails to build for aarch64. The attached patch was used to provide needed config info to allow a build to succeed. A proper aarch64 port should be done at some point to take advantage of ARMv8 AES/SHA-1/SHA-256 instructions. Also, hardware will be needed to measure performance of options like DES_RISC1 vs DES_UNROLL.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2013-06-03 04:51:19 EDT
What about -DL_ENDIAN? Shouldn't it be added as well?
Comment 2 Mark Salter 2013-11-04 13:39:51 EST
Yes. I added -DL_ENDIAN for completeness although I didn't notice any issues without it.
Comment 3 Fedora End Of Life 2015-01-09 13:17:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.